Bug 672606 - [abrt] exaile-0.3.2.0-2.fc14: playlists.py:272:on_rating_changed:AttributeError: 'PlaylistsPanel' object has no attribute 'get_selected_tracks'
Summary: [abrt] exaile-0.3.2.0-2.fc14: playlists.py:272:on_rating_changed:AttributeErr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1d81b118
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-25 17:30 UTC by ola.polak
Modified: 2011-03-28 19:32 UTC (History)
1 user (show)

Fixed In Version: exaile-0.3.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 19:32:08 UTC


Attachments (Terms of Use)
File: backtrace (635 bytes, text/plain)
2011-01-25 17:30 UTC, ola.polak
no flags Details

Description ola.polak 2011-01-25 17:30:26 UTC
abrt version: 1.1.14
architecture: i686
cmdline: python /usr/lib/python2.7/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.7/site-packages/exaile/exaile.py
kernel: 2.6.35.10-74.fc14.i686
package: exaile-0.3.2.0-2.fc14
reason: playlists.py:272:on_rating_changed:AttributeError: 'PlaylistsPanel' object has no attribute 'get_selected_tracks'
release: Fedora release 14 (Laughlin)
time: 1295976523
uid: 500

backtrace
-----
playlists.py:272:on_rating_changed:AttributeError: 'PlaylistsPanel' object has no attribute 'get_selected_tracks'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/panel/playlists.py", line 272, in on_rating_changed
    tracks = self.get_selected_tracks()
AttributeError: 'PlaylistsPanel' object has no attribute 'get_selected_tracks'

Local variables in innermost frame:
rating: 5
widget: <PlaylistsPanelPlaylistMenu object at 0x98abe64 (xlgui+menu+PlaylistsPanelPlaylistMenu at 0x98d2e38)>
self: <PlaylistsPanel object at 0x98abaf4 (xlgui+panel+playlists+BasePlaylistPanelMixin at 0x99409c0)>

How to reproduce
-----
Tried to give mark to playlist :/

Comment 1 ola.polak 2011-01-25 17:30:29 UTC
Created attachment 475221 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-04 15:39:18 UTC
Package exaile-0.3.2.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-03-05 02:42:28 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14

Comment 4 Fedora Update System 2011-03-28 19:29:22 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.